Subject: Re: info pls:OIL TREES
From: [email-masked] (mel turner)
Date: Mon, 6 Jun 1994 23:31:43
Newsgroups: bionet.plants

In article <[email-masked]> [email-masked] (E Vogel) writes:

>   I just finished watching the Smithsonian's "Invention" video series.
>      One inventor was trying to develop commercial farming of a
>      "Chinese Tawa (..or Towa) Tree"  --- this tree's seeds have
>      highly combustible fuel oil.

Perhaps it was "tallow tree"  (_Aleurites_ in the  Euphorbiaceae).

mdt.